Issue2092

classification
Title: Port Jython to JLine 2
Type: Severity: normal
Components: Core Versions: Jython 2.7
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: Arfrever, fwierzbicki, jeff.allen, mbogosian, zyasoft
Priority: Keywords:

Created on 2013-09-25.21:57:40 by Arfrever, last changed 2014-06-19.16:13:53 by zyasoft.

Messages
msg8127 (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) Date: 2013-09-25.21:57:40
I suggest to port Jython from JLine 1 to 2.

https://github.com/jline/jline2
https://github.com/jline/jline2/releases
msg8128 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2013-09-25.22:04:17
Jeff, I put you on the nosy list for this one in case you have some insight about the viability of us moving to JLine 2.
msg8131 (view) Author: Jeff Allen (jeff.allen) Date: 2013-09-26.22:23:18
Good idea in principle. It seems not to be too much of a leap. We won't get bugs fixed in JLine now, and I think I spotted one to do with tab-handling when ANSI escapes are used (Linux, not Windows).

I notice it depends on Jansi (http://jansi.fusesource.org/). License implications?
msg8280 (view) Author: Jim Baker (zyasoft) Date: 2014-04-08.17:08:59
Not supporting JLine 2 is causing problems when mixing 32 bit and 64 bit execution on windows; see bug #2122 and https://github.com/jline/jline/issues/4; presumably this has been subsequently fixed (and would only be fixed regardless in JLine 2 if still present).

Re jansi, it appears to be licensed under Apache Software License 2, which we freely mix into Jython, just as we do with BSD-licensed jars like JLine.
msg8754 (view) Author: Jim Baker (zyasoft) Date: 2014-06-19.16:13:53
This appears to be blocking IPython support (see https://bitbucket.org/jython/jython/pull-request/14/for-discussion-changes-to-support-ipython/), and is generally a good thing to do

I don't see this as a must have for beta 4, but it would be ideal if we could get it done by then
History
Date User Action Args
2014-06-19 16:13:53zyasoftsetmessages: + msg8754
2014-04-16 18:22:33mbogosiansetnosy: + mbogosian
2014-04-08 17:08:59zyasoftsetnosy: + zyasoft
messages: + msg8280
2013-09-26 22:23:18jeff.allensetmessages: + msg8131
2013-09-25 22:04:47fwierzbickisetcomponents: + Core
versions: + Jython 2.7
2013-09-25 22:04:17fwierzbickisetnosy: + jeff.allen
messages: + msg8128
2013-09-25 21:57:40Arfrevercreate